OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DateRole Class Reference

`#include <StepBasic_DateRole.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_DateRole ()
| Returns a DateRole .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DateRole::StepBasic_DateRole | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_DateRole::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_DateRole::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DateRole::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_DateRole::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_DateRole::name`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DateRole.hxx